UbixOS V2 2.0

Functions
systemtask.c File Reference
`#include <ubixos/systemtask.h>`
`#include <ubixos/kpanic.h>`
`#include <ubixos/exec.h>`
`#include <ubixos/tty.h>`
`#include <ubixos/sched.h>`
`#include <ubixos/vitals.h>`
`#include <lib/kmalloc.h>`
`#include <lib/kprintf.h>`
`#include <lib/bioscall.h>`
`#include <sde/sde.h>`
`#include <sys/io.h>`
`#include <vmm/vmm.h>`
`#include <mpi/mpi.h>`
`#include <string.h>`
Include dependency graph for systemtask.c:

Go to the source code of this file.

## Functions
void | systemTask ()

## Function Documentation

## ◆ systemTask()

void systemTask | ( |  | ) |

Definition at line 46 of file systemtask.c.

References biosCall(), mpi_message::data, execThread(), fclose(), taskStruct::files, mpi_message::header, taskStruct::id, inportByte(), kfree(), kpanic(), kprintf(), mpi_createMbox(), mpi_fetchMessage(), ogprintOff, outportByte(), mpi_message::pid, printOff, sched_getDelTask(), sched_yield(), schedFindTask(), sdeThread(), strcmp(), systemVitals, vitalsStruct::sysUptime, taskStruct::term, tty_find(), and vmm_freeProcessPages().

Here is the call graph for this function: